ForcedDisconnectedEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.davic.mpeg.sections
Class ForcedDisconnectedEvent

    java.lang.Object
      java.util.EventObject
          org.davic.resources.ResourceStatusEvent
              org.davic.mpeg.sections.ForcedDisconnectedEvent

All Implemented Interfaces:
  Serializable

    public class ForcedDisconnectedEvent

extends ResourceStatusEvent

This class is used to report when a TransportStream which was available becomes no longer available or if the section filter resources are removed from a connected SectionFilterGroup. In this second case, the notifyRelease() method of the ResourceClient will also be called in addition to this event being generated.

See Also:
  Serialized Form

Constructor Summary
`ForcedDisconnectedEvent(SectionFilterGroup f)` This constructs a ForcedDisconnectedEvent for the specified SectionFilterGroup object.

Method Summary
`Object` | `getSource()` This returns the SectionFilterGroup object which filtered the data.

Methods inherited from class java.util.EventObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ForcedDisconnectedEvent

    public ForcedDisconnectedEvent(SectionFilterGroup f)

  This constructs a ForcedDisconnectedEvent for the specified SectionFilterGroup object.

  Parameters:
    `f` - the SectionFilterGroup

Method Detail

### getSource

    public Object getSource()

  This returns the SectionFilterGroup object which filtered the data.

  Overrides:
    `getSource` in class `ResourceStatusEvent`
  Returns:
    the object whose status changed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD